Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbSmallInt

    java.lang.Object
      jet.connect.DbValue
          jet.connect.DbNumber
              jet.connect.DbSmallInt

All Implemented Interfaces:
  jet.util.DbValueable, jet.util.QuickSortableNode

    public class DbSmallInt

extends DbNumber

The `DbSmallInt` class wraps a value of the primitive type `short` in an object. An object of the type `DbSmallInt` contains a single field whose type is `short`.

In addition, this class provides several methods for converting a `DbSmallInt` to a `String` or other number types, as well as other constants and methods used when dealing with a `DbSmallInt`.

Field Summary
`short` | `value` Deprecated.

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Fields inherited from interface jet.util.DbValueable
`EQUAL, GREATER, LESS`

Constructor Summary
`DbSmallInt()` Constructs an uninitialized `DbSmallInt`.
`DbSmallInt(DbColDesc desc)` Constructs an uninitialized `DbSmallInt`.

Method Summary
`byte` | `byteValue()` Returns the value of this `DbSmallInt` as a `byte`.
`java.lang.Object` | `clone()` Creates a clone of this `DbSmallInt` object.
`double` | `doubleValue()` Returns the value of this `DbSmallInt` as a `double`.
`boolean` | `equals(DbNumber v)` Compares this object to the specified object.
`float` | `floatValue()` Returns the value of this `DbSmallInt` as a `float`.
`short` | `get()` Returns the value of this `DbSmallInt` as a `short` value.
`int` | `intValue()` Returns the value of this `DbSmallInt` as an `int`.
`long` | `longValue()` Returns the value of this `DbSmallInt` as a `long` value.
`void` | `set(JRHierarchicalDataset hds, int col)` Sets a newly allocated `DbSmallInt` object that represents the `short` value indicated by the `JRHierarchicalDataset` parameter and an index of the column.
`void` | `set(java.sql.ResultSet rs, int col)` Sets a newly allocated `DbSmallInt` object that represents the `short` value indicated by the `ResultSet` parameter and an index of the column.
`void` | `set(short v)` Sets a newly allocated `DbSmallInt` object that represents the specified `short` argument.
`void` | `setValue(DbNumber v)` Sets a newly allocated `DbSmallInt` object that represents the `short` value indicated by the `DbNumber` parameter.
`void` | `setValue(java.lang.String v)` Sets a newly allocated `DbSmallInt` object that represents the `short` value indicated by the `String` parameter.
`short` | `shortValue()` Returns the value of this `DbSmallInt` as a `short`.
`java.lang.String` | `toString()` Returns a `String` object representing this `DbSmallInt`'s value.
`java.lang.String` | `toStringValue()`

Methods inherited from class jet.connect.DbNumber
`compare, compareTo, equals, set`

Methods inherited from class jet.connect.DbValue
`compareTo, compareTo, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public short value

  Deprecated.
  The field contains the value of this object. Note use `get` and `set` to access it instead of accessing it directly.

Constructor Detail

### DbSmallInt

    public DbSmallInt()

  Constructs an uninitialized `DbSmallInt`. This `DbSmallInt` object is mutable until a nonzero value and the description of column are set.

### DbSmallInt

    public DbSmallInt(DbColDesc desc)

  Constructs an uninitialized `DbSmallInt`. This `DbSmallInt` object is mutable until the value is set.

  Parameters:
    `desc` - The value to be represented by the `DbColDesc` object.

Method Detail

### get

    public short get()

  Returns the value of this `DbSmallInt` as a `short` value.

### set

    public void set(short v)

  Sets a newly allocated `DbSmallInt` object that represents the specified `short` argument.

  Parameters:
    `v` - The short value to be represented by the `DbSmallInt` object.

### set

    public void set(java.sql.ResultSet rs,
                    int col)
             throws java.sql.SQLException

  Sets a newly allocated `DbSmallInt` object that represents the `short` value indicated by the `ResultSet` parameter and an index of the column.

  Specified by:
    `set` in class `DbValue`
  Parameters:
    `rs` - The `ResultSet` to be fetched.
    `col` - The index of the column.
  Throws:
    `java.sql.SQLException` - if the `ResultSet` does not contain the index.

### set

    public void set(JRHierarchicalDataset hds,
                    int col)
             throws java.sql.SQLException

  Sets a newly allocated `DbSmallInt` object that represents the `short` value indicated by the `JRHierarchicalDataset` parameter and an index of the column.

  Overrides:
    `set` in class `DbValue`
  Parameters:
    `hds` - The `JRHierarchicalDataset` to be fetched.
    `col` - The index of the column.
  Throws:
    `java.sql.SQLException` - if the `ResultSet` does not contain the index.

### toString

    public java.lang.String toString()

  Returns a `String` object representing this `DbSmallInt`'s value. The value is converted to signed decimal representation and returned as a string. If the value is null, it returns "NULL".

  Specified by:
    `toString` in class `DbValue`
  Returns:
    a string representation of the value of this object in base 10.

### clone

    public java.lang.Object clone()

  Creates a clone of this `DbSmallInt` object.

  Specified by:
    `clone` in interface `jet.util.DbValueable`
  Specified by:
    `clone` in class `DbValue`

### equals

    public boolean equals(DbNumber v)

  Compares this object to the specified object. The result is `true` if and only if the argument is not `null` but a `DbSmallInt` object that contains the same `DbNumber` value as this object.

  Specified by:
    `equals` in class `DbNumber`
  Parameters:
    `obj` - The DbNumber object to be compared with.
  Returns:
    `true` if the objects are the same; `false` otherwise.

### byteValue

    public byte byteValue()

  Returns the value of this `DbSmallInt` as a `byte`.

  Specified by:
    `byteValue` in class `DbNumber`

### shortValue

    public short shortValue()

  Returns the value of this `DbSmallInt` as a `short`.

  Specified by:
    `shortValue` in class `DbNumber`

### intValue

    public int intValue()

  Returns the value of this `DbSmallInt` as an `int`.

  Specified by:
    `intValue` in class `DbNumber`

### longValue

    public long longValue()

  Returns the value of this `DbSmallInt` as a `long` value.

  Specified by:
    `longValue` in class `DbNumber`

### floatValue

    public float floatValue()

  Returns the value of this `DbSmallInt` as a `float`.

  Specified by:
    `floatValue` in class `DbNumber`

### doubleValue

    public double doubleValue()

  Returns the value of this `DbSmallInt` as a `double`.

  Specified by:
    `doubleValue` in class `DbNumber`

### setValue

    public void setValue(DbNumber v)

  Sets a newly allocated `DbSmallInt` object that represents the `short` value indicated by the `DbNumber` parameter. The DbNumber object will be checked to see if it is null,

  Specified by:
    `setValue` in class `DbNumber`
  Parameters:
    `v` - The `DbNumber` to be converted to a `DbSmallInt`. If it is null, the value will not be set.

### setValue

    public void setValue(java.lang.String v)

  Sets a newly allocated `DbSmallInt` object that represents the `short` value indicated by the `String` parameter. The string is converted to a `short` value in exactly the manner used by the `parseShort` method for radix 10.

  Specified by:
    `setValue` in class `DbValue`
  Parameters:
    `v` - The `String` to be converted to a `DbSmallInt`. The argument is interpreted as representing a signed decimal `short`, which is exactly as if the argument were given to the `parseShort` method.

### toStringValue

    public java.lang.String toStringValue()

  Specified by:
    `toStringValue` in class `DbValue`
  Returns:
    a string which will represent the value in the DbValue(null flag and value). When compare StringValue from DbValues, we always assume that: the two DbValues have same DbColDesc. Two StringValue equals means the original DbValue equals. Does NOT transfer the compareTo(DbValue v) method. Only comparable dbValue implements this methods. String coding uses Base64.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD